=== debian/changelog ===
python-ocp (7.8.1.2-1) experimental; urgency=medium

  * Initial packaging.

 -- Roland Mas <lolando@debian.org>  Sat, 02 Aug 2025 03:04:54 +0200
