=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_dwz:
	dh_dwz -- -L none
