## python-ocp 7.9.3.1%2B~cs7.9.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 
 SET(PYTHON_SP_DIR "site-packages" CACHE PATH "Python site-packages directory (for installing)")
 
+find_package( fmt  REQUIRED )
 find_package( pybind11 REQUIRED )
 find_package( VTK REQUIRED
   COMPONENTS
@@ -34,7 +35,7 @@
 target_include_directories( OCP PRIVATE ${OpenCASCADE_INCLUDE_DIR} )
 
 target_link_libraries( OCP PRIVATE ${OpenCASCADE_LIBRARIES} )
-target_link_libraries( OCP PRIVATE pybind11::pybind11 VTK::WrappingPythonCore VTK::RenderingCore VTK::CommonDataModel VTK::CommonExecutionModel)
+target_link_libraries( OCP PRIVATE pybind11::pybind11 VTK::WrappingPythonCore VTK::RenderingCore VTK::CommonDataModel VTK::CommonExecutionModel fmt::fmt)
 
 set_target_properties( OCP
                        PROPERTIES
