=== debian/changelog ===
python-ocp (7.9.3.1+~cs7.9.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Sun, 01 Mar 2026 19:52:55 +0100

python-ocp (7.9.3.0+~cs7.8.1.2-1) unstable; urgency=medium

  * Add missing Build-Depends.
  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Sun, 15 Feb 2026 18:43:11 +0100

python-ocp (7.8.1.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Roland Mas <lolando@debian.org>  Tue, 12 Aug 2025 15:48:49 +0200
