=== debian/control ===
Source: python-ocp
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends:
 clang,
 cmake,
 debhelper-compat (= 13),
 libclang-dev,
 libedit-dev,
 libfmt-dev,
 libfreetype-dev,
 libocct-data-exchange-dev,
 libocct-draw-dev,
 libocct-foundation-dev,
 libocct-ivtk-dev,
 libocct-modeling-algorithms-dev,
 libocct-modeling-data-dev,
 libocct-ocaf-dev,
 libocct-visualization-dev,
 libvtk9-dev,
 llvm-dev,
 python3-all,
 python3-clang,
 python3-freetype,
 python3-opencascade-pywrap,
 python3-pybind11,
 rapidjson-dev,
 tk-dev,
Standards-Version: 3.9.6
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/CadQuery/OCP
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ocp.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ocp

Package: python3-ocp
Architecture: any
Depends:
 python3,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python wrapper for OCCT generated using pywrap
 Goals:
  * Provide thin bindings to OCCT.
  * Wrap all OCCT modules (if practical).
  * React quickly to new OCCT releases.
  * Cater primarily for the CadQuery project.
