=== debian/rules ===
#!/usr/bin/make -f

export CC=clang
export CXX=clang++

%:
	dh $@

override_dh_dwz:
	# dh_dwz -- -L none # Fails with Unknown debugging section .debug_addr

ifneq (,$(DEB_BUILD_OPTION_PARALLEL))
  PARALLEL=$(DEB_BUILD_OPTION_PARALLEL)
else
  PARALLEL=$$(nproc)
endif

override_dh_auto_configure:
	dh_auto_configure -- -DN_PROC=$(PARALLEL)
