=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://github.com/CadQuery/OCP \
refs/tags/v?@ANY_VERSION@ group

opts=\
component=OCP,searchmode=plain \
https://api.github.com/repos/CadQuery/OCP/releases https://github.com/CadQuery/OCP/releases/download/@ANY_VERSION@/OCP_src_stubs_Linux.zip checksum
